import request from '@/utils/request'

// 查询机构类别列表
export function listAgencyCategory(query) {
    return request({
        url: '/system/agencyCategory/list',
        method: 'get',
        params: query
    })
}

// 查询机构类别详细
export function getAgencyCategory(id) {
    return request({
        url: '/system/agencyCategory/' + id,
        method: 'get'
    })
}

// 新增机构类别
export function addAgencyCategory(data) {
    return request({
        url: '/system/agencyCategory/add',
        method: 'post',
        data: data
    })
}

// 修改机构类别
export function updateAgencyCategory(data) {
    return request({
        url: '/system/agencyCategory/edit',
        method: 'put',
        data: data
    })
}

// 删除机构类别
export function delAgencyCategory(id) {
    return request({
        url: '/system/agencyCategory/' + id,
        method: 'delete'
    })
}
